Skip to main content
`Ctrl`+`K`

# DMPlexComputeCellGeometryAffineFEM

Assuming an affine map, compute the Jacobian, inverse Jacobian, and Jacobian determinant for a given cell

## Synopsis

    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode DMPlexComputeCellGeometryAffineFEM(DM dm, PetscInt cell, PetscReal v0[], PetscReal J[], PetscReal invJ[], PetscReal *detJ)

Collective

## Input Parameters

- dm - the `DMPLEX`

- cell - the cell

## Output Parameters

- v0 - the translation part of this affine transform, meaning the translation to the origin (not the first vertex of the reference cell)

- J - the Jacobian of the transform from the reference element

- invJ - the inverse of the Jacobian

- detJ - the Jacobian determinant

## See Also

`DMPLEX`, `DMPlexComputeCellGeometryFEM()`, `DMGetCoordinateSection()`, `DMGetCoordinates()`

## Level

advanced

## Location

src/dm/impls/plex/plexgeometry.c

## Examples

src/dm/impls/plex/tutorials/ex3f90.F90

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages